CL_STATUS(1)

NAME
cl_status - Check status of the High-Availability Linux (Linux-HA) subsystem

SYNOPSIS

cl_status sub-command options parameters

DESCRIPTION

cl_status is used to check the status of the High-Availability Linux subsystem.

SUPPORTED SUB-COMMANDS

hbstatus
    Indicate if heartbeat is running on the local system.

    With -v, gives more details, similar to:

        version:        3.0.6 (10e3f2130ea1)
        managed by:     pacemaker       (respawn)

        ccm membership with quorum
                instance 12
                members 2
                        1 bob   (born: 6)
                        0 alice (born: 12)
                member of partition

        bob     active  (nodetype: normal)
                eth1    dead
                eth0    up

        alice   active  (nodetype: normal)
                eth1    dead
                eth0    up

        10.43.9.55      ping    (nodetype: ping)
                10.43.9.55      up

    Note: it is not a concern if a certain link from some node to itself is reported "dead". For example "mcast" directives usually don't see their own network packages.

listnodes
    List the nodes in the cluster.

nodetype ping|normal
    List the nodes of the given type.

        Note
        Ping nodes are obsolete in Pacemaker cluster, having been replaced with the pingd resource agent.

listhblinks node
    List the network interfaces used as heartbeat links. node should be specified as listed in the ha.cf(5) file for the cluster.

hblinkstatus node link
    Show the status of a heartbeat link. node should be specified as listed in the ha.cf(5) file for the cluster. link should be as per the output of the listhblinks subcommand.

clientstatus node client [timeout]
    Show the status of heartbeat clients. node and client should be specified as listed in the ha.cf(5) file for the cluster. Timeout is in milliseconds, the default is 100ms.

rscstatus
    Show the status of cluster resources. Status will be one of: local, foreign, all or none.

        Note
        This option is deprecated, it is obsolete in Pacemaker clusters.

parameter -p parameter
    Retrieve the value of cluster parameters. The parameters may be one of the following: apiauth, auto_failback, baud, debug, debugfile, deadping, deadtime, hbversion, hopfudge, initdead, keepalive, logfacility, logfile, msgfmt, nice_failback, node, normalpoll, stonith, udpport, warntime, watchdog.

        Note
        Some of these options are deprecated; see ha.cf(5)

OPTIONS

The following options are supported by heartbeat:

-v
    Report more details. Available with hbstatus, listnodes, and listhblinks.

-m
    Make the output more human readable. The default output should be easier for scripts to parse. Available with all commands.

-p
    List only 'ping' nodes. Available with listnodes sub-command.

        Note
        Ping nodes are obsolete in Pacemaker cluster, having been replaced with the pingd resource agent.

-n
    List only 'normal' nodes. Available with listnodes sub-command.

SEE ALSO

heartbeat(8), ha.cf(5), authkeys(5)

AUTHORS

Alan Robertson <alanr@unix.sh>
    cl_status

Lars Ellenberg <lars.ellenberg@linbit.com>
    Heartbeat Maintainer; code fixes; documentation updates

Juan Pedro Paredes Caballero <juampe@retemail.es>
    man page

Simon Horman <horms@verge.net.au>
    man page

Florian Haas <florian.haas@linbit.com>
    man page